Rasa X starting issues

Hey there

I have had some issues running rasa X. Even if I try to start a completely new “rasa init” project into rasa X, I get a Timeout issue. After typing “rasa x”, I get this exact error:

Starting Rasa X in local mode… :rocket: 2021-07-14 16:19:47 WARNING rasax.community.services.insights.insight_service - No local evaluation result files found. 2021-07-14 16:19:49 ERROR concurrent.futures - exception calling callback for <Future at 0x2023bded970 state=finished raised gaierror> Traceback (most recent call last): File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\concurrent\futures\thread.py”, line 57, in run result = self.fn(*self.args, **self.kwargs) File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\socket.py”, line 914, in getaddrinfo for res in _socket.getaddrinfo(host, port, family, type, proto, flags): socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed 2021-07-14 16:19:49 ERROR concurrent.futures - exception calling callback for <Future at 0x2023bdedeb0 state=finished returned list> Traceback (most recent call last): File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\concurrent\futures_base.py”, line 328, in _invoke_callbacks callback(self) File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\asyncio\futures.py”, line 371, in _call_set_state dest_loop.call_soon_threadsafe(_set_state, destination, source) File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\asyncio\base_events.py”, line 756, in call_soon_threadsafe self._check_closed() File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\asyncio\base_events.py”, line 504, in _check_closed raise RuntimeError(‘Event loop is closed’) RuntimeError: Event loop is closed Traceback (most recent call last): File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasa\cli\x.py”, line 496, in run_locally local.main( File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\local.py”, line 257, in main common_utils.run_in_loop(model_service.discover_models()) File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\utils\common.py”, line 900, in run_in_loop return loop.run_until_complete(coro) File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\asyncio\base_events.py”, line 608, in run_until_complete return future.result() File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\services\model_service.py”, line 821, in discover_models await model_service.discover_models() File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\services\model_service.py”, line 147, in discover_models await _run_loop(max_retries, sleep_in_seconds) File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\services\model_service.py”, line 133, in _run_loop await self._discover_models() File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\services\model_service.py”, line 185, in _discover_models minimum_version = await self._retry_fetching_minimum_compatible_version() File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\services\model_service.py”, line 174, in _retry_fetching_minimum_compatible_version minimum_version = await self.minimum_compatible_version() File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\services\model_service.py”, line 160, in minimum_compatible_version
info = await stack_service.version() File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\rasax\community\services\stack_service.py”, line 92, in version response = await session.get( File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\aiohttp\client.py”, line 619, in _request break File “c:\users\digib\anaconda3\envs\rasa_environment_bt\lib\site-packages\aiohttp\helpers.py”, line 656, in exit raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/.

I don’t know what it is, neither what to do. Can someone help me?

Kind regards

My rasa version is 2.8.0 and rasa-x is 0.41.2, python 3.8.0

@BotEnthusiast Try this if it’s work.

  1. Go to the directory: venv/Lib/site-packages/rasa/core/channels/console.py
  2. Change the default value of DEFAULT_STREAM_READING_TIMEOUT_IN_SECONDS to more than 10, whatever time you required.

@nik202 Thank you for the fast reply :slight_smile:

Unfortunately, it does not change anything. The weird thing is that I get the error after around 4 seconds… I can run rasa normal in shell / interactive and also the action server is up and running, everything working fine… It’s just some issue with Rasa X and I can not figure out what it is…

@BotEnthusiast

To install Rasa X locally on Windows 10 resolving the multidict and asyncio error messages is achieved through the following steps in a powershell or conda console:

  1. conda create -n “Your_Environment_Name” python=3.8
  2. conda activate Your_Environment_Name
  3. pip install pip==20.2 --user
  4. pip install multidict==4.7.6 --use-feature=2020-resolver
  5. pip install pyjwt==2.0.0 --use-feature=2020-resolver
  6. pip install sanic==20.9.0 --use-feature=2020-resolver
  7. pip3 install rasa==2.6.2
  8. pip3 install rasa-sdk==2.6.0
  9. pip install rasa-x==0.40.0 --extra-index-url https://pypi.rasa.com/simple
  10. SET http_proxy=http://localhost:5002
  11. SET https_proxy=http://localhost:5002
  12. rasa x

Reference thread a solution I provided: Problem with mulidict version when installing Rasa X in windows 10 local environment - #9 by alINGeNT

@nik202 Thank you so much for your reply!

Unfortunately, it still does not work… even if I set up a completely new virtual environment with conda, downloading all the required dependencies and all and setting up a new folder where I run rasa init, I sill can not run the rasa x command. After running “rasa x” command in said venv, this is the exact output I get:

Tried your step-by-step guideline, still the exact same… I feel so dumb since rasa x seems soooo easy to setup but somehow it is not that easy for me…

@BotEnthusiast Please see this: Rasa and Rasa X are working fine, but it shows some error in the terminal